> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Checkout

> Initiating Checkout



## OpenAPI

````yaml /openapi/collections.json post /collection/create-charge
openapi: 3.0.2
info:
  title: Flick Collections API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Virtual Account/IBANs
    description: iban Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Card
    description: Card Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Direct-debit
    description: Debit
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /collection/create-charge:
    post:
      tags:
        - ''
      summary: Checkout
      description: Initiating Checkout
      operationId: initiate checkout
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCharge'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateChargeResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Invalid input
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    CreateCharge:
      required:
        - amount
        - Phoneno
        - currency_settled
        - currency_collected
        - email
      type: object
      properties:
        amount:
          type: string
          example: '8000'
        Phoneno:
          type: string
          example: '07011223344'
        currency_collected:
          type: string
          enum:
            - NGN
            - USD
            - CAD
            - GBP
            - KES
            - GHS
            - EUR
          example: NGN, USD, CAD, GBP
        currency_settled:
          type: string
          enum:
            - NGN
            - USD
            - CAD
            - EUR
            - GBP
            - KES
            - GHS
          example: NGN, USD, CAD, GBP
        email:
          type: string
          example: Useremail@getmail
        redirectUrl:
          type: string
          example: https://
        webhookUrl:
          type: string
          example: https://
        transactionId:
          type: string
          example: Flick-48be6adc2-a3514aaab
    CreateChargeResponse:
      type: object
      properties:
        status:
          type: string
          example: Success
        message:
          type: string
          example: Transaction created successfully
        data:
          type: object
          properties:
            transactionId:
              type: string
              example: Flick-1c-jfkrn35-5fjsd8-vsd
            url:
              type: string
              example: https://checkout.paywithflick.co/smekfx
            access_code:
              type: string
              example: smekfx
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.